# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: llvmdev
  version: 11.1.0
source:
  patches:
    - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
    - patches/pass-through-qemu-ld-prefix.diff
  sha256: ce8508e318a01a63d4e8b3090ab2ded3c598a50258cc49e2625b9120d4c03ea5
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/llvm-11.1.0.src.tar.xz
build:
  activate_in_script: true
  number: 4
  string: h12f7ac0_4
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2021.7.5 hca03da5_1
    - certifi 2021.5.30 py39hca03da5_0
    - clang_bootstrap_osx-arm64 12.0.0 ha993bc6_3
    - cmake 3.19.6 hae769c0_1
    - expat 2.4.1 hc377ac9_2
    - krb5 1.19.1 h8e9bd5e_0
    - libcurl 7.71.1 h7623bd3_1
    - libcxx 12.0.0 hf6beb65_1
    - libedit 3.1.20210216 h1230e6a_1
    - libffi 3.3 hc377ac9_2
    - libiconv 1.16 h1230e6a_0
    - libssh2 1.9.0 hf27765b_1
    - libuv 1.39.0 h1a28f6b_0
    - lz4-c 1.9.3 hc377ac9_0
    - ncurses 6.2 hc4ed4cf_0
    - openssl 1.1.1j h1230e6a_0
    - pip 21.2.3 py39hca03da5_0
    - python 3.9.6 hc70090a_5
    - readline 8.1 h1a28f6b_0
    - rhash 1.4.1 hf27765b_1
    - setuptools 52.0.0 py39hca03da5_0
    - sqlite 3.36.0 h1058600_0
    - tk 8.6.10 hb8d0fd4_0
    - tzdata 2021a h5d7bf9c_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
    - zstd 1.4.9 h8574219_1
  host:
    - libllvm11 11.1.0 h12f7ac0_4
    - llvm-tools 11.1.0 h12f7ac0_4
    - zlib 1.2.11 hca03da5_3
  run:
    - libcxx >=12.a0
    - libllvm11 11.1.0 h12f7ac0_4
    - llvm-tools 11.1.0 h12f7ac0_4
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - $PREFIX/bin/llvm-config --libs
    - test -f $PREFIX/include/llvm/Pass.h
    - test -f $PREFIX/lib/libLLVMCore.a
    - $PREFIX/libexec/llvm/not false
about:
  dev_url: https://github.com/llvm-mirror/llvm
  home: http://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
